> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Получить выделенный IP-адрес

> Получить выделенный IP

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ru.json GET /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}:
    get:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: Получить выделенный IP
      description: Получите специальную деталь IP.
      operationId: >-
        get_public_dedicated_ip_v1_public_accounts__account_id__dedicated_ips__dedicated_ip_id__get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: dedicated_ip_id
          required: true
          schema:
            format: uuid
            title: Dedicated Ip Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicDedicatedIpResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Ошибка валидации
      security:
        - PublicBearerAuth: []
components:
  schemas:
    PublicDedicatedIpResponse:
      properties:
        asn:
          anyOf:
            - type: integer
            - type: 'null'
          description: Номер автономной системы для распределения
          title: ASN
        country_code:
          anyOf:
            - type: string
            - type: 'null'
          description: Код страны ISO для распределения
          title: Код страны
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Временная метка создания
          title: Создано в
        id:
          description: Выделенный IP UUID
          format: uuid
          title: ID
          type: string
        ip_addresses:
          description: Публичные адреса в этом распределении
          items:
            $ref: '#/components/schemas/PublicDedicatedIpAddressResponse'
          title: IP-адреса
          type: array
        name:
          description: Видимое клиентом выделенное имя IP
          title: Имя
          type: string
        status:
          description: Статус предоставления или жизненного цикла
          title: Статус
          type: string
        type:
          description: Выделенный тип распределения IP
          title: Тип
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          description: Временная метка последнего обновления
          title: Обновлено в
      required:
        - id
        - name
        - status
        - type
      title: PublicDedicatedIpResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Сведения
          type: array
      title: HTTPОшибка проверки
      type: object
    PublicDedicatedIpAddressResponse:
      description: Метаданные общедоступного выделенного адреса IP без сигналов репутации.
      properties:
        fcrdns_confirmed:
          default: false
          description: Пройден ли форвардно подтвержденный обратный DNS
          title: Fcrdns подтверждено
          type: boolean
        healthy:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Текущее состояние здоровья, если доступно
          title: Исправно
        ip:
          description: Публичный адрес IP
          title: IP
          type: string
        rdns:
          anyOf:
            - type: string
            - type: 'null'
          description: Обратное имя хоста DNS при настройке
          title: rDNS
      required:
        - ip
      title: PublicDedicatedIpAddressResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Расположение
          type: array
        msg:
          title: Сообщение
          type: string
        type:
          title: Тип ошибки
          type: string
      required:
        - loc
        - msg
        - type
      title: Ошибка проверки
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````